Subject: Re: bug#6137: [Yuriy Vostrikov] emacs, vc-git

From: Chong Yidong <[email-masked]>
Date: Fri, 30 Nov 2012 15:43:38 +0800

Stefan Monnier <[email-masked]> writes:

> [ I do not use Git enough to be sure if his patch is the right way to
>   fix it.  It does look OK, tho maybe the right (but harder) place to
>   fix it is in Tramp.  Can someone take a look and install it?  --Stef  ]
>
> Hello.
> You are last commiter of vc-git.el so i'm writing to you.
>
> It's probably a good idea to forcefully disable pager then calling git
> command from vc-git.el.  If buffer is tramp controlled then git will
> be run on remote host by tramp magic. In this particular case git
> stdout will be connected to pty instead of pipe and default git
> behavior to call $PAGER in this case.  Which is effectively makes
> vc-git broken on tramp controlled buffers.  Patch is attached.

Since no one's done anything about this, and the fix looks OK, I've
committed it to trunk.